com.qualcomm.robotcore.eventloop.opmode

## Interface OpModeManager

- All Known Subinterfaces:
    AnnotatedOpModeManager

      public interface OpModeManager

  OpModeManager instances are used to register opmodes for use.
  See Also:
    `AnnotatedOpModeManager`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_OP_MODE_NAME` DEFAULT_OP_MODE_NAME is the (non-localized) name of the default opmode, the one that automatically runs whenever no user opmode is running.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `register(OpModeMeta name, java.lang.Class<? extends OpMode> opModeClass)` Registers a class for display on the driver station and availability for game play.
    `void` | `register(OpModeMeta name, OpMode opModeInstance)` Register an *instance* of a class for display on the driver station and availability for game play.
    `void` | `register(java.lang.String name, java.lang.Class<? extends OpMode> opModeClass)` Registers a class for display on the driver station and availability for game play.
    `void` | `register(java.lang.String name, OpMode opModeInstance)` Register an *instance* of a class for display on the driver station and availability for game play.

- - ### Field Detail

    - #### DEFAULT_OP_MODE_NAME

          static final java.lang.String DEFAULT_OP_MODE_NAME

      DEFAULT_OP_MODE_NAME is the (non-localized) name of the default opmode, the one that automatically runs whenever no user opmode is running.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### register

          void register(java.lang.String name,
                        java.lang.Class<? extends OpMode> opModeClass)

      Registers a class for display on the driver station and availability for game play. New instances of this class will be created as needed.
      Parameters:
        `name` - the name to show on the driver station menu
        `opModeClass` - the class of the OpMode to create

    - #### register

          void register(OpModeMeta name,
                        java.lang.Class<? extends OpMode> opModeClass)

      Registers a class for display on the driver station and availability for game play. New instances of this class will be created as needed.
      Parameters:
        `name` - metadata regarding the class, including the name to show on the DS menu
        `opModeClass` - the class of the OpMode to create

    - #### register

          void register(java.lang.String name,
                        OpMode opModeInstance)

      Register an *instance* of a class for display on the driver station and availability for game play. You won't likely use this method very often.
      Parameters:
        `name` - the name to show on the driver station menu
        `opModeInstance` - the object instance to use for that menu item

    - #### register

          void register(OpModeMeta name,
                        OpMode opModeInstance)

      Register an *instance* of a class for display on the driver station and availability for game play. You won't likely use this method very often.
      Parameters:
        `name` - metadata regarding the opmode, including the name to show on the driver station menu
        `opModeInstance` - the object instance to use for that menu item